Tiktok

TikTok PDP Scraper

This endpoint allows you to scrape a TikTok Product Detail Page.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/tiktok/pdp/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

url*string

TikTok PDP URL

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/tiktok/pdp/sync" \  -H "Content-Type: application/json" \  -d '{    "url": "https://www.tiktok.com/shop/pdp/1731949430853767209"  }'
{
  "success": true,
  "message": "Successfully scraped",
  "data": {
    "url": "https://www.tiktok.com/shop/pdp/1731949430853767209",
    "result": {
      "loaderData": {
        "layout": null,
        "shop/pdp/(product_name_slug$)/(product_id)/page": {
          "basic_info": {
            "lang": "en-US",
            "device_system": "desktop_unknown",
            "is_mobile": false,
            "user_agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/141.0.0.0 Safari/537.36",
            "web_id": "7573967008723797535"
          },
          "waf_decision": {
            "waf_type": 2,
            "dkms_token": "MIIBCwQMX06JB8L3tY6RDjf1BIHovbz1b00U7g9f14sbrvS3zSRP6fhxe5dtoR43Y47gi5YUkreUX6DeCPp9iO24ydq4Uao43zhhQh/biGsLbq5cikPQWULa49x60RTZp2W9qVCS8gSh1dpl+o20VClg/arw9g19GZagxj8w6mpfEkmFhbdoDuzqWu4ORss+iKDYwNmSMh8r9D7Vaiw6c8QIS9qX2HQskWitQH56oQPNTtW2FX+OEFzuMKeqnux7lOy2QlA77t/KOnSTQM8ejO80r/fD4r3ls/Gm2chCDMJLiUFlUwTmwgn4rHmWAPtFO8aprt8XypsTp0q2GQQQgaDPwdU5EVfJDbreiJpE3g=="
          },
          "region_info": {
            "vRegions": {
              "VREGION_UNKNOWN": "-",
              "VREGION_CHINAAGGREGATION": "China-Aggregation",
              "VREGION_CHINAENTERPRISE": "China-Enterprise",
              "VREGION_CHINABOE": "China-BOE",
              "VREGION_CHINABOE2": "China-BOE2",
              "VREGION_USBOE": "US-BOE",
              "VREGION_SINGAPOREBOE": "Singapore-BOE",
              "VREGION_CHINANORTH": "China-North"
            },
            "path_region": "US",
            "ip_region": "US",
            "real_region": "US",
            "real_region_source": "IP",
            "current_v_region": "US-TTP",
            "mssdk_region": "ttp",
            "timezone_name": "UTC"
          },
          "route_info": {
            "enter_method": "",
            "first_entrance": "",
            "first_entrance_position": "",
            "first_entrance_tt_scene": "",
            "has_ttwid": true,
            "is_api": false,
            "page_name": "product_detail",
            "previous_page": "tt_homepage",
            "query_source": "",
            "query_traffic_type": "seo",
            "referer": "https://www.tiktok.com/",
            "referer_type": "tt_homepage",
            "request_url": "https://www.tiktok.com/shop/pdp/1731949430853767209",
            "route_page_name": "pdp",
            "route_product_id": "1731949430853767209",
            "route_product_name_slug": ""
          },
          "bot_info": {
            "is_mock_bot": false,
            "is_bot": false,
            "request_time": 1764130645046
          },
          "ab_test": {
            "page_id": "306056881338899259",
            "vids": [],
            "params": {
              "bot_cost_optimize": {
                "simplify_link": false,
                "simplify_video_desc": false
              },
              "seo_generic_exposure_capacity": {
                "count": 50,
                "vid": "v3"
              }
            }
          },
          "page_config": {
            "global_fe_config": {
              "page_name": "product_detail"
            },
            "global_api_data_config": {
              "nova_config": {
                "api": "nova_config",
                "params": {
                  "resource_type_list": [
                    1
                  ],
                  "nova_source_key_list": [
                    "view_tts_web_seo_source_key_black_friday_settings"
                  ]
                }
              }
            },
            "components_map": [
              {
                "component_type": "page_header",
                "component_name": "page_header",
                "fe_config": {
                  "data_source": {
                    "need_fetch_at_first_screen": true
                  }
                }
              },
              {
                "component_type": "bread_crumbs",
                "component_name": "bread_crumbs",
                "fe_config": {
                  "data_source": {
                    "need_split_request": true,
                    "need_fetch_at_first_screen": true
                  }
                },
                "component_data": {
                  "bread_crumbs": [
                    {
                      "name": "TikTok Shop",
                      "link": "https://www.tiktok.com/shop"
                    },
                    {
                      "name": "Menswear & Underwear",
                      "link": "https://www.tiktok.com/shop/c/menswear-underwear/824328"
                    }
                  ]
                }
              }
            ]
          }
        }
      },
      "errors": null
    }
  }
}